%define name gprolog
%define version 1.2.1
%define release 3mdk

Name: %{name}
Summary: GNU Prolog is a free Prolog
Version: %{version}
Release: %{release}
Source: ftp://ftp.inria.fr/INRIA/Projects/contraintes/gnu-prolog/%{name}-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
Group: Development/Other
URL: http://www.gnu.org/software/prolog
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}
ExclusiveArch: %ix86 ppc
Copyright: GPL

%description
GNU Prolog is a native Prolog compiler with constraint solving over finite
domains (FD) developed by Daniel Diaz. Last information about GNU Prolog can
be found at http://www.gnu.org/software/prolog.
A lot of work has been devoted to the ISO compatibility. GNU Prolog is very
close to the ISO standard (http://www.logic-programming.org/prolog_std.html).


%prep
%setup -q

%build
cd src
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

(cd src ; make install-system INSTALL_DIR=$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version})

(cd $RPM_BUILD_ROOT%{_bindir} ; ln -sf ../lib/%{name}-%{version}/bin/* .)

#mdk menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(gprolog):\
needs="text"\
section="Applications/Development/Interpreters"\
title="gprolog"\
longtitle="GNU Prolog"\
command="gprolog"\
icon="gprolog.xpm"
EOF

#icons menu
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc Examples* doc/Html
%{_bindir}/*
%{_libdir}/%{name}*
%{_menudir}/*
%{_iconsdir}

%changelog
* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 1.2.1-3mdk
- icons
- embedded menu
 
* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 1.2.1-2mdk
- add packager field

* Mon Jul 31 2000 Pixel <pixel@mandrakesoft.com> 1.2.1-1mdk
- new version

* Sun Jul 30 2000 Pixel <pixel@mandrakesoft.com> 1.2-1mdk
- new version

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.1.2-4mdk
- macroization
- BM

* Tue May 16 2000 Pixel <pixel@mandrakesoft.com> 1.1.2-3mdk
- add exclusivearch

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.1.2-2mdk
- cleanup, add menu, new group

* Wed Dec 01 1999 Lenny Cartier <lenny@mandrakesoft.com>
- initial specfile
- added %doc
- added symlinks in /usr/bin
- enable mdk CFLAGS
- ...things to satisfy Mr Pixel

